version: '3.7'

services:
  chainlink:
    image: smartcontract/chainlink:latest
    container_name: chainlink-node
    ports:
      - "6688:6688"
    volumes:
      - ~/.chainlink:/chainlink
    environment:
      - DATABASE_URL=postgresql://chainlink:?b98cA%KWzAXb!E@localhost:5432/chainlink?sslmode=disable
      - PASSWORD_KEYSTORE=?b98cA%KWzAXb!E
      - ETH_URL=https://mainnet.infura.io/v3/YOUR_INFURA_PROJECT_ID
      - LINK_CONTRACT_ADDRESS=0x514910771AF9Ca656af840dff83E8264EcF986CA
      - ETH_CHAIN_ID=1
    command: ["node", "start"]

